<?php
class PrinciplesController extends AppController {

    var $name = 'Principles';
    var $helpers = array('Html', 'Form');

    var $paginate = array(
	    'Principle' => array('limit' => 50, 'order' => array('Principle.name' => 'asc')),
	    'Enquiry' => array('limit' => 150, 'order' => array('Enquiry.id' => 'desc'))
    );

    function index() {
	$this->Principle->recursive = 0;
	$this->set('principles', $this->paginate());
	$this->set('enquiries', $this->paginate());
    }

    function view($id = null) {
	if (!$id) {
	    $this->Session->setFlash(__('Invalid Principle.', true));
	    $this->redirect(array('action'=>'index'));
	}
	$this->set('principle', $this->Principle->read(null, $id));
	$this->set('enquiries', $this->paginate('Enquiry', array('Enquiry.principle_id' => $id)));
	$this->set('addresses', $this->Principle->PrincipleAddress->findAllByPrincipleId($id));
	$this->set('principleContacts', $this->Principle->PrincipleContact->find('all', array('conditions'=>array('PrincipleContact.principle_id'=>$id))));
	$statuses = $this->Principle->Enquiry->Status->find('all');
	$status_list = array();
	foreach ($statuses as $status) {
	    $status_list[] = array($status['Status']['id'], $status['Status']['name']);
	}
	$this->set('status_list', $status_list);
	$this->set('enquiries', $this->paginate('Enquiry', array('Enquiry.principle_id' => $id)));

    }

    function add() {
	if (!empty($this->data)) {
	    $this->Principle->create();
	    if ($this->Principle->save($this->data)) {
		$this->Session->setFlash(__('The Principle has been saved', true));
		$this->redirect(array('action'=>'index'));
	    } else {
		$this->Session->setFlash(__('The Principle could not be saved. Please, try again.', true));
	    }
	}
	$countries = $this->Principle->Country->find('list');
	$currencies = $this->Principle->Currency->find('list');
	$this->set(compact('countries', 'currencies'));
    }

    function edit($id = null) {
	if (!$id && empty($this->data)) {
	    $this->Session->setFlash(__('Invalid Principle', true));
	    $this->redirect(array('action'=>'index'));
	}
	if (!empty($this->data)) {
	    if ($this->Principle->save($this->data)) {
		$this->Session->setFlash(__('The Principle has been saved', true));
		$this->redirect(array('action'=>'index'));
	    } else {
		$this->Session->setFlash(__('The Principle could not be saved. Please, try again.', true));
	    }
	}
	if (empty($this->data)) {
	    $this->data = $this->Principle->read(null, $id);
	}
	$countries = $this->Principle->Country->find('list');
	$currencies = $this->Principle->Currency->find('list');
	$this->set(compact('countries','currencies'));
    }


}
?>
